/ minecraft

Minecraft: Corrigindo o erro java.lang.UnsatisfiedLinkError: liblwjgl.so: classe ELF errada: ELFCLASS32

minecraft-logo

Executando o minecraft no Ubuntu 13.04 aparece o erro no terminal:

erro-minecraft

O erro é porque o java não esta encontrando algumas LIB para executar o jogo.Para arrumar o erro temos 2 alternativas:

1 – Criar um shell script para executar o minecraft

#!/bin/bash 
export LD_LIBRARY_PATH="/usr/lib/jvm/java-7-oracle/jre/lib/amd64" java -Xmx1024M -Xms512M -cp minecraft.jar net.minecraft.LauncherFrame

2 – Configurar o ld.so.conf.d para carregar automaticamente sem a necessidade do shell script.

Cria o arquivo /etc/ld.so.conf.d/java.conf com o seguinte conteúdo:

 /usr/lib/jvm/java-7-oracle/jre/lib/amd64

Bom Jogo !

Referencia: http://askubuntu.com/questions/100751/minecraft-in-jdk-1-7-0-u2-x64